<?php
/*
Plugin Name: Events Manager Pro XSS Fix
Version: 1.0
Plugin URI: http://wp-events-plugin.com
Description: Fixes an XSS vulnerability in Events Manager Pro 2.2.8 and earlier
Author: Marcus Sykes
Author URI: http://wp-events-plugin.com
*/
function emp_xss_fix(){
    foreach($_REQUEST as $key=>$val){
        if( is_array($val) ){
            foreach($val as $val_key => $val_val){
                $val[$val_key] = esc_attr($val_val);
            }
            $_REQUEST[$key] = $val;
        }else{
	        $_REQUEST[$key] = esc_attr($val);
    	}
    }
}
add_action('em_booking_form_before_user_details','emp_xss_fix');